LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 03-09-2022, 03:44 PM   #31
andrew.46
Senior Member
 
Registered: Oct 2007
Distribution: Slackware
Posts: 1,365

Rep: Reputation: 493Reputation: 493Reputation: 493Reputation: 493Reputation: 493

Quote:
Originally Posted by nobodino View Post
Well I'm glad some else caught the same error.
@andrew.46: what are the specs of your machine?
I have an AMD Threadripper 2950X. A fascinating issue you have discovered!
 
Old 03-09-2022, 04:16 PM   #32
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,366

Rep: Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082
Quote:
Originally Posted by andrew.46 View Post
I have an AMD Threadripper 2950X. A fascinating issue you have discovered!
Definitely !

I'm curious how a build process that is supposed to understand only the architecture (x86_64) knows that we have an AMD processor.
 
Old 03-09-2022, 07:33 PM   #33
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,366

Rep: Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082
Code:
WARNING:  zero length file usr/include/qt5/QtScxml/5.15.3/QtScxml/private/qtscxml-config_p.h
WARNING:  zero length file usr/include/qt5/QtQmlModels/qtqmlmodels-config.h
WARNING:  zero length file usr/include/qt5/QtTest/5.15.3/QtTest/private/qttestlib-config_p.h
WARNING:  zero length file usr/include/qt5/QtXml/5.15.3/QtXml/private/qtxml-config_p.h
WARNING:  zero length file usr/include/qt5/QtSql/5.15.3/QtSql/private/qtsql-config_p.h
WARNING:  zero length file usr/lib64/qt5/qml/QtQuick/Controls/Styles/Flat/plugins.qmltypes

Slackware package /tmp/qt5-5.15.3_20220304_a657406f-x86_64-1.txz created.
pfiou ... that was so long ... (more or less 3h)

Last edited by marav; 03-09-2022 at 07:57 PM.
 
Old 03-09-2022, 07:34 PM   #34
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,366

Rep: Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082
It finally builds fine, disabling SMT in the kernel command line

That's probably not the solution
But, at least, a good starting point

If andrew can confirm
he is without a doubt the fastest of us

Last edited by marav; 03-09-2022 at 07:39 PM.
 
Old 03-10-2022, 12:17 AM   #35
andrew.46
Senior Member
 
Registered: Oct 2007
Distribution: Slackware
Posts: 1,365

Rep: Reputation: 493Reputation: 493Reputation: 493Reputation: 493Reputation: 493
Quote:
Originally Posted by marav View Post
It finally builds fine, disabling SMT in the kernel command line

That's probably not the solution
But, at least, a good starting point

If andrew can confirm
he is without a doubt the fastest of us
You have lost me there: 'disabling SMT in the kernel command line'?

Last edited by andrew.46; 03-10-2022 at 01:25 AM.
 
Old 03-10-2022, 01:12 AM   #36
nobodino
Senior Member
 
Registered: Jul 2010
Location: Near Bordeaux in France
Distribution: slackware, slackware from scratch, LFS, slackware [arm], linux Mint...
Posts: 1,564

Original Poster
Rep: Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892
it worker for me, I changed this in the SlackBuild:

Code:
--- qt5.SlackBuild.old	2022-02-23 19:55:34.699110724 +0100
+++ qt5.SlackBuild	2022-03-10 05:33:29.020160978 +0100
@@ -127,21 +127,25 @@
 # Fix build with gcc11:
 cd qtbase
   zcat $CWD/patches/qt5-qtbase-gcc11.patch.gz | patch -p1 --verbose || exit 1
-cd - 1>/dev/null
+cd ..
 cd qtwebsockets
   zcat $CWD/patches/qt5-qtwebsockets-gcc11.patch.gz | patch -p1 --verbose || exit 1
-cd - 1>/dev/null
+cd ..
 cd qtwebengine
   zcat $CWD/patches/qt5-qtwebengine-gcc11.patch.gz | patch -p1 --verbose || exit 1
-cd - 1>/dev/null
+cd ..
+# jumbo patch
+cd qtwebengine
+	zcat $CWD/patches/qtwebengine-5.15.2_p20211019-jumbo-build.patch.gz | patch -Esp1 --verbose || exit 1
+cd ..
 
 # CMake generates wrong -isystem /usr/include compilations flags with Qt5::Gui
 # and for it breaks KWin compilation with:
 # /usr/include/c++/9.1.0/cstdlib:75:15: fatal error: stdlib.h: No such file or directory
 # See also https://bugzilla.redhat.com/1704474
 cd qtbase
-  zcat $CWD/patches/qt5.qtbase_cmake_isystem_includes.patch.gz | patch -p1 --verbose || exit 1
-cd - 1>/dev/null
+  zcat $CWD/patches/qt5.qtbase_cmake_isystem_includes.patch.gz | patch -Esp1 --verbose || exit 1
+cd ..
 
 # If PulseAudio is not found, use the _alsa $TAG and disable it in the build:
 if ! pkg-config --exists libpulse 2>/dev/null ; then
@@ -220,7 +224,15 @@
   ${RELOCATIONS} \
   -no-pch
   # No-precompiled-headers is ccache-friendly.
-  
+
+# determine if proc is AMD or INTEL
+echo CPU=$(lscpu | grep AuthenticAMD)
+if [[ "$CPU"=="AuthenticAMD" ]]; then
+	echo off > /sys/devices/system/cpu/smt/control
+elif [[ ! "$CPU"=="AuthenticAMD" ]]; then
+	echo
+fi
+
 # Sometimes a failure happens when parallelizing make.  Try again if make fails,
 # but make a failure the second time around (single threaded) a fatal error:
 #### DEBUG
@@ -228,6 +240,13 @@
 #make $NUMJOBS || make || exit 1
 make install INSTALL_ROOT=$PKG || exit 1
 
+# restore SMT at "on" if AuthenticAMD
+if [[ "$CPU"=="AuthenticAMD" ]]; then
+	echo on > /sys/devices/system/cpu/smt/control
+elif [[ ! "$CPU"=="AuthenticAMD" ]]; then
+	echo
+fi
+
 # Strip binaries:
 find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
It builds :

Code:
usr/share/qt5/translations/qt_zh_TW.qm
WARNING:  zero length file usr/include/qt5/QtWebEngine/qtwebengine-config.h
WARNING:  zero length file usr/include/qt5/QtQmlModels/qtqmlmodels-config.h
WARNING:  zero length file usr/include/qt5/QtGamepad/qtgamepad-config.h
WARNING:  zero length file usr/include/qt5/QtScript/qtscript-config.h
WARNING:  zero length file usr/include/qt5/QtLocation/qtlocation-config.h
WARNING:  zero length file usr/include/qt5/QtTest/5.15.3/QtTest/private/qttestlib-config_p.h
WARNING:  zero length file usr/include/qt5/QtPdfWidgets/qtpdfwidgets-config.h
WARNING:  zero length file usr/include/qt5/QtPositioning/qtpositioning-config.h
WARNING:  zero length file usr/include/qt5/QtQuickControls2/qtquickcontrols2-config.h
WARNING:  zero length file usr/include/qt5/QtScxml/5.15.3/QtScxml/private/qtscxml-config_p.h
WARNING:  zero length file usr/include/qt5/QtSensors/qtsensors-config.h
WARNING:  zero length file usr/include/qt5/Qt3DRender/qt3drender-config.h
WARNING:  zero length file usr/include/qt5/QtWaylandClient/qtwaylandclient-config.h
WARNING:  zero length file usr/include/qt5/QtSql/5.15.3/QtSql/private/qtsql-config_p.h
WARNING:  zero length file usr/include/qt5/QtXml/5.15.3/QtXml/private/qtxml-config_p.h
WARNING:  zero length file usr/include/qt5/QtWebEngineWidgets/qtwebenginewidgets-config.h
WARNING:  zero length file usr/include/qt5/QtPdf/qtpdf-config.h
WARNING:  zero length file usr/include/qt5/QtXmlPatterns/5.15.3/QtXmlPatterns/private/qtxmlpatterns-config_p.h
WARNING:  zero length file usr/include/qt5/QtQuickTemplates2/qtquicktemplates2-config.h
WARNING:  zero length file usr/lib64/qt5/qml/QtQuick/Controls/Styles/Flat/plugins.qmltypes

Slackware package /tmp/qt5-5.15.3_20220304_a657406f-x86_64-1_sfs.txz created.


real    64m18,306s
user    764m0,029s
sys     47m44,206s
Upgrading to that version of qt5, solved also the build of libksieve in kdepim, and all kde non building packages.

Thanks to all AMD testers.

Last edited by nobodino; 03-10-2022 at 01:27 AM.
 
3 members found this post helpful.
Old 03-10-2022, 01:42 AM   #37
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,366

Rep: Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082
Quote:
Originally Posted by andrew.46 View Post
You have lost me there: 'disabling SMT in the kernel command line'?
hi Andrew,

You can disable the Multithreading in 2 ways :
- the one nobodino uses : echo off > /sys/devices/system/cpu/smt/control
- directly in the bootloader options : nosmt
it can be GRUB_CMDLINE_LINUX="nosmt" (grub) or append="nosmt" (lilo)

@nobodino
Wouldn't it be interesting to see if it works without the jumbo patch ?

EDIT: forget it, it works without the jumbo patch, because my last try was without it

Last edited by marav; 03-10-2022 at 10:21 AM.
 
Old 03-10-2022, 01:47 AM   #38
nobodino
Senior Member
 
Registered: Jul 2010
Location: Near Bordeaux in France
Distribution: slackware, slackware from scratch, LFS, slackware [arm], linux Mint...
Posts: 1,564

Original Poster
Rep: Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892
I've to go to work now.
 
Old 03-10-2022, 01:57 AM   #39
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,366

Rep: Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082
@nobodino

I think this:
Code:
+if [[ "$CPU"=="AuthenticAMD" ]]; then
+	echo XX > /sys/devices/system/cpu/smt/control
+elif [[ ! "$CPU"=="AuthenticAMD" ]]; then
+	echo
+fi
is useless

Last edited by marav; 03-10-2022 at 10:19 AM.
 
Old 03-10-2022, 09:36 AM   #40
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 2,215

Rep: Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002
Ok, disabling SMT,build qt6-webengine:

Slackware package /tmp/qt6-webengine-6.2.3-x86_64-1gm.txz created

but, start at 8h49 end to 16h29, whith my AMD FX 6300 six core, 8 Gio of memory.

Last edited by gmgf; 03-10-2022 at 09:44 AM.
 
Old 03-10-2022, 09:48 AM   #41
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,366

Rep: Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082
Quote:
Originally Posted by gmgf View Post
Ok, disabling SMT,build qt6-webengine:

Slackware package /tmp/qt6-webengine-6.2.3-x86_64-1gm.txz created

but, start at 8h49 end to 16h29, whith my AMD FX 6300 six core, 8 Gio of memory.
You know what to order for Christmas now
 
Old 03-10-2022, 10:01 AM   #42
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 2,215

Rep: Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002
Quote:
Originally Posted by marav View Post
You know what to order for Christmas now
Perhaps a good idea, yes
 
Old 03-10-2022, 10:51 AM   #43
nobodino
Senior Member
 
Registered: Jul 2010
Location: Near Bordeaux in France
Distribution: slackware, slackware from scratch, LFS, slackware [arm], linux Mint...
Posts: 1,564

Original Poster
Rep: Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892
@gmgf : could you share what's needed to build qt6-webengine ?
 
Old 03-10-2022, 12:51 PM   #44
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 2,215

Rep: Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002Reputation: 1002
Quote:
Originally Posted by nobodino View Post
@gmgf : could you share what's needed to build qt6-webengine ?
i have send a private message to you.
 
Old 03-10-2022, 12:53 PM   #45
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,366

Rep: Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082Reputation: 4082
Quote:
Originally Posted by gmgf View Post
i have send a private message to you.
Hoho, proprietary code
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
qt5-5.15.2-i586-10 /usr/lib/qt5/bin/uic -h = Segfault . babydr Slackware 9 09-02-2021 07:08 PM
Digikam-5.4.0 and QT5 problem 3rensho Linux - Software 2 02-15-2017 09:11 AM
problem building qt5 itsgregman Slackware 42 01-18-2017 06:57 AM
Odd situation with raid10 array, odd number of drives, and it took, can't regrow now Red Squirrel Linux - Software 9 08-08-2014 02:15 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 02:28 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration